[**@rxap/forms v19.0.4-dev.0**](../README.md)

***

[@rxap/forms](../globals.md) / ToMethodWithInjectionContext

# Function: ToMethodWithInjectionContext()

> **ToMethodWithInjectionContext**\<`ReturnType`, `Parameter`, `MethodType`\>(`call`, `injector`, `metadata`): `MethodType`

Defined in: [packages/angular/forms/src/lib/utilities.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/utilities.ts#L10)

## Type Parameters

• **ReturnType** = `any`

• **Parameter** = `any`

• **MethodType** *extends* `Method`\<`ReturnType`, `Parameter`\> = `Method`\<`ReturnType`, `Parameter`\>

## Parameters

### call

(`parameters`?, ...`args`) => `ReturnType` \| `Promise`\<`ReturnType`\>

### injector

`Injector`

### metadata

`any` = `...`

## Returns

`MethodType`
